﻿@{
    ViewBag.Title = "Lab Report";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Lab Report</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">
                    <div class="form-group">
                        <label for="inputAmount" class="col-sm-2 control-label">Enter Amount</label>

                        <div class="col-sm-10">
                            <input type="number" class="form-control" id="inputAmount" placeholder="Enter Digits Only ...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputDate" class="col-sm-2 control-label">Enter Date</label>

                        <div class="col-sm-10">
                            <div class="input-group date">
                                <div class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </div>
                                <input type="text" class="form-control pull-right" id="NewDate">
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputWeight" class="col-sm-2 control-label">Enter Weight of Patient</label>

                        <div class="col-sm-10">
                            <input type="number" class="form-control" id="inputWeight" placeholder="Enter Digits Only...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputPatientNo" class="col-sm-2 control-label">Select Patient No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="inputPatientNo">
                              

                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputCategory" class="col-sm-2 control-label">Select Category</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputCategory">
                            <option id="30">Injured</option>
                                <option id="31">Blood</option>
                                <option id="32">DNA</option>
                                <option id="33">HIV </option>
                                <option id="34">Fasting plasma glucose (FPG) </option>
                                <option id="35">Oral glucose tolerance test (OGTT)</option>
                                <option id="36">Hemoglobin A1c (A1c) </option>
                                <option id="37">Random plasma (blood) glucose</option>
                                <option id="38">international normalized ratio (INR) </option>
                                <option id="39">electrocardiogram (ECG)</option>
                                <option id="40">chest X-ray, breathing</option>



                             </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputDoctorID" class="col-sm-2 control-label">Select Doctor No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputDoctorID">
                             

                            </select>
                        </div>
                    </div>
                   
                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddLabReport()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>
<script>
    function AddLabReport() {
        debugger;
        var inputAmount = $('#inputAmount').val();
        var inputDate = $('#NewDate').val();
        var inputWeight = $('#inputWeight').val();
        var PatientNo = $('#inputPatientNo :selected').attr('id');
        var InputCategory = $('#InputCategory :selected').val();
        var InputDoctorID = $('#InputDoctorID :selected').attr('id');
        $.ajax({
            url: '@Url.Action("AddLabReport", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ inputAmount: inputAmount, inputDate: inputDate, inputWeight: inputWeight, PatientNo: PatientNo, InputCategory: InputCategory, InputDoctorID: InputDoctorID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>
<script>
    $( document ).ready(function() {
        $("#NewDate").datepicker();

});
</script>


<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
       // alert("asd");
        $.ajax({
            url: '@Url.Action("DropdownLapReport", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var Patient = data.Patient;
                    var Lab = data.LabReport;
                    var Doc = data.Doc;
              
                    for (i = 0; i < Patient.length; i++) {
                        $('#inputPatientNo').append('<option id=' + Patient[i].pono + ' value=' + Patient[i].pname + ' >' + Patient[i].pname + '  </option>');
                    }

                   
                    for (i = 0; i < Lab.length; i++) {
                        $('#InputCategory').append('<option id=' + Lab[i].labno + ' value=' + Lab[i].category + ' >' + Lab[i].category + '  </option>');

                    }

                    for (i = 0; i < Doc.length; i++) {
                        $('#InputDoctorID').append('<option id=' + Doc[i].docno + ' value=' + Doc[i].docname + ' >' + Doc[i].docname + '  </option>');

                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>
